Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.admin
Class TcpServerAdmin

    java.lang.Object
      |
      +--com.caucho.http.admin.TcpServerAdmin

public class TcpServerAdmin
extends java.lang.Object

Administers the web server.

Constructor Summary
`TcpServerAdmin(com.caucho.server.TcpServer server)` Creates a new Admin object.

Method Summary
`void` | `close()` Close the server.
`int` | `getAcceptConnectionCount()` Returns the number of threads sleeping, waiting for a new socket.
`int` | `getActiveConnectionCount()` Returns the number of active threads.
`int` | `getConnectionCount()` Returns the total number of connections
`int` | `getKeepaliveConnectionCount()` Returns the total number of connections waiting for a keepalive.
`boolean` | `isClosed()` Returns true if the tcp-server close has started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TcpServerAdmin

    public TcpServerAdmin(com.caucho.server.TcpServer server)

  Creates a new Admin object.

Method Detail

### isClosed

    public boolean isClosed()

  Returns true if the tcp-server close has started. There may still be some live threads.

### close

    public void close()

  Close the server. Currently active threads may still be in the middle of their requests when `close()` exits.

### getConnectionCount

    public int getConnectionCount()

  Returns the total number of connections

### getKeepaliveConnectionCount

    public int getKeepaliveConnectionCount()

  Returns the total number of connections waiting for a keepalive. The keepalive connections are idle, but have kept their socket open.

### getAcceptConnectionCount

    public int getAcceptConnectionCount()

  Returns the number of threads sleeping, waiting for a new socket.

### getActiveConnectionCount

    public int getActiveConnectionCount()

  Returns the number of active threads.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD